summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..6b1971f
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -euo pipefail
+stack build
+prog="$(stack path --local-install-root)/bin/lisp"
+for f in tests/*.lisp; do
+ echo "$f"
+ diff -u <("$prog" "$f") "$(sed 's/\.lisp$/.out/' <<<"$f")"
+done
+echo "All OK"